Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core
Class ConfigurableEmbedder

    java.lang.Object
      org.jbehave.core.ConfigurableEmbedder

All Implemented Interfaces:
  Embeddable

Direct Known Subclasses:
  JUnitStories, JUnitStory, JUnitStoryMaps

    public abstract class ConfigurableEmbedder

extends Object
implements Embeddable

Abstract implementation of `Embeddable` which allow to configure the `Embedder` used to run the story or stories, using the `Configuration` and the `CandidateSteps` specified.

By default `MostUsefulConfiguration`) is used and be overridden via the `useConfiguration(Configuration)` method.

Users need to specify the `InjectableStepsFactory` which will be used to create the `CandidateSteps`.

Typically, users that use JUnit will find it easier to extend other implementations, such as `JUnitStory` or `JUnitStories`, which implement the using the configured embedder and annotate it with JUnit's `Test` annotation.

Constructor Summary
`ConfigurableEmbedder()`

Method Summary
`void` | `addSteps(CandidateSteps... steps)` Deprecated. Use `useStepsFactory(InjectableStepsFactory)`
`void` | `addSteps(List<CandidateSteps> steps)` Deprecated. Use `useStepsFactory(InjectableStepsFactory)`
`List<CandidateSteps>` | `candidateSteps()` Deprecated. Use `stepsFactory()`
`Configuration` | `configuration()`
`Embedder` | `configuredEmbedder()`
`InjectableStepsFactory` | `stepsFactory()`
`void` | `useConfiguration(Configuration configuration)`
`void` | `useEmbedder(Embedder embedder)`
`void` | `useStepsFactory(InjectableStepsFactory stepsFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbehave.core.Embeddable
`run`

Constructor Detail

### ConfigurableEmbedder

    public ConfigurableEmbedder()

Method Detail

### useEmbedder

    public void useEmbedder(Embedder embedder)

  Specified by:
    `useEmbedder` in interface `Embeddable`

### useConfiguration

    public void useConfiguration(Configuration configuration)

### configuration

    public Configuration configuration()

### addSteps

    public void addSteps(CandidateSteps... steps)

  Deprecated. Use `useStepsFactory(InjectableStepsFactory)`

### addSteps

    public void addSteps(List<CandidateSteps> steps)

  Deprecated. Use `useStepsFactory(InjectableStepsFactory)`

### candidateSteps

    public List<CandidateSteps> candidateSteps()

  Deprecated. Use `stepsFactory()`

### useStepsFactory

    public void useStepsFactory(InjectableStepsFactory stepsFactory)

### stepsFactory

    public InjectableStepsFactory stepsFactory()

### configuredEmbedder

    public Embedder configuredEmbedder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.